# $Revision: 1.13 $, $Date: 2009/09/18 09:16:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	POE
%define	pnam	API-Peek
Summary:	POE::API::Peek - peek into the internals of a running POE environment
Summary(pl.UTF-8):	POE::API::Peek - wgląd do wnętrza działającego środowiska POE
Name:		perl-POE-API-Peek
Version:	1.34
Release:	1
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4c483bd98f7e0b45787dc8085f5c73ba
URL:		http://search.cpan.org/dist/POE-API-Peek/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-Size
BuildRequires:	perl-POE >= 0.2802
BuildRequires:	perl(Test::More)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::API::Peek extends the POE::Kernel interface to provide clean
access to Kernel internals in a cross-version compatible manner.
Other calculated data is also available.

Author's intention is to provide massive amounts of internal data for
use in POE debugging.

%description -l pl.UTF-8
POE:API::Peek rozszerza interfejs POE::Kernel dostarczając czysty
dostęp do wnętrza Kernela POE w sposób kompatybilny między wersjami.
Inne wyliczone dane także są dostępne.

Intencją Autora jest dostarczenie dużych ilości danych wewnętrznych
przydatnych w procesie debugowania POE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README LICENSE
%{perl_vendorlib}/POE/API/Peek.pm
%dir %{perl_vendorlib}/POE/API
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-API-Peek.spec,v $
Revision 1.13  2009/09/18 09:16:37  amateja
- updated to 1.34

Revision 1.12  2009/03/28 23:40:10  areq
- 1.32

Revision 1.11  2008/11/29 16:59:51  qboosh
- generic URL

Revision 1.10  2008/11/27 19:09:29  agaran
- up to 1.0802, builds here

Revision 1.9  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.7  2006/09/06 10:18:39  radek
- disable signature.t properly

Revision 1.6  2006/09/06 10:14:26  radek
- release 1, fixed License, added LICENSE

Revision 1.5  2006/07/27 18:07:19  agaran
- up to 1.06, rel 0.1 anybody has better way to fix t/000-signature.t?

Revision 1.4  2005/12/05 18:16:58  czucz
- updated to 1.05
- added BR: perl-Devel-Size (with bcond tests), removed Changes

Revision 1.3  2005/01/05 19:24:59  qboosh
- typos

Revision 1.2  2005/01/03 17:33:29  adamg
- use package name for perl-POE instead of what it provides

Revision 1.1  2005/01/03 16:56:21  adamg
- new
